Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.annotations.common.reflection.java
Class JavaXMethod

    java.lang.Object
      org.hibernate.annotations.common.reflection.java.JavaXMember
          org.hibernate.annotations.common.reflection.java.JavaXMethod

All Implemented Interfaces:
  XAnnotatedElement, XMember, XMethod

    public class JavaXMethod

extends JavaXMember
implements XMethod

Author:
  Emmanuel Bernard

Method Summary
`boolean` | `equals(Object obj)` Returns true if the underlying artefact is the same
`
`<T extends Annotation> T`
` | `getAnnotation(Class<T> annotationType)`
`Annotation[]` | `getAnnotations()`
`protected JavaReflectionManager` | `getFactory()`
`String` | `getName()`
`int` | `hashCode()`
`Object` | `invoke(Object target, Object... parameters)`
`
`<T extends Annotation> boolean`
` | `isAnnotationPresent(Class<T> annotationType)`
`String` | `toString()`

Methods inherited from class org.hibernate.annotations.common.reflection.java.JavaXMember
`getClassOrElementClass, getCollectionClass, getElementClass, getJavaType, getMapKey, getMember, getModifiers, getType, getTypeEnvironment, isArray, isCollection, isTypeResolved, setAccessible, typeOf`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.annotations.common.reflection.XMember
`getClassOrElementClass, getCollectionClass, getElementClass, getMapKey, getModifiers, getType, isArray, isCollection, isTypeResolved, setAccessible`

Methods inherited from interface org.hibernate.annotations.common.reflection.XAnnotatedElement
`equals, getAnnotation, getAnnotations, isAnnotationPresent`

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `XMember`
  Specified by:
    `getName` in class `JavaXMember`

### invoke

    public Object invoke(Object target,
                         Object... parameters)

  Specified by:
    `invoke` in interface `XMember`

### getFactory

    protected JavaReflectionManager getFactory()

### getAnnotation

    public <T extends Annotation> T getAnnotation(Class<T> annotationType)

  Specified by:
    `getAnnotation` in interface `XAnnotatedElement`

### isAnnotationPresent

    public <T extends Annotation> boolean isAnnotationPresent(Class<T> annotationType)

  Specified by:
    `isAnnotationPresent` in interface `XAnnotatedElement`

### getAnnotations

    public Annotation[] getAnnotations()

  Specified by:
    `getAnnotations` in interface `XAnnotatedElement`

### equals

    public boolean equals(Object obj)

  Description copied from interface: `XAnnotatedElement`
  Returns true if the underlying artefact is the same

  Specified by:
    `equals` in interface `XAnnotatedElement`
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD